> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/query-the-network/getburntrx.md).

# GetBurnTRX

Query the amount of TRX burned due to on-chain transaction fees since [No. 54 Committee Proposal ](https://tronscan.org/#/proposal/54)took effect.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

Before the [No. 54 Committee Proposal](https://tronscan.org/#/proposal/54) takes effect, the destruction of transaction fees is completed by transferring to the black hole address `TLsV52sRDL79HXGGm9yzwKibb6BeruhUzy`, After the No. 54 committee proposal takes effect, it will no longer be transferred to the black hole address, but will be directly recorded in the node database.

Users can query the amount of TRX burned due to on-chain transaction fees after the proposal takes effect through this interface. The approximate amount of TRX that was destroyed before the proposal takes effect can be obtained through `Balance of Black Hole Address - Initial Value of Black Hole Address Balance`.

Note: The initial value of the blackhole address balance can be obtained in the [node configuration file](https://github.com/tronprotocol/tron-deployment/blob/master/main_net_config.conf).

## **Parameters**

None.

## **Returns**

`burnTrxAmount` - int64 : Amount of TRX burned, in sun.

{% code overflow="wrap" %}

```json
// Result
{
  "burnTrxAmount": 116396538293730
}
```

{% endcode %}

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getburntrx \
    -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/query-the-network/getburntrx.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
